Ubuntu 17.10 Artful Aardvark armhf MongoDB packages

So, half a year passed, there is new Ubuntu version. And it does go further away from the armhf support regarding MongoDB.

I still use my -XU4 armv7l board for unifi controller, which still depend on mongodb package.

So here they are, mongodb armhf packages for Ubuntu 17.10.

This time it took me three days to build it, the Ubuntu version of mongodb source cannot be even built anymore on 17.10 even using armhf patches. Which is from one side bad, from the other side I took latest MongoDB 3.2.17 from the official source repository, which is only 28 days old. So, basically, this is the latest mongodb, that can run on armhf (3.2 version unfortunately, 3.4 is using internal storage engine that was written from scratch only for 64-bit).

mongodb-server_3.2.17-1_armhf
mongodb-clients_3.2.17-1_armhf
mongodb_3.2.17-1_armhf

Leave a Reply

Your email address will not be published. Required fields are marked *